Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.forums
Class Forums

    java.lang.Object
      com.knowgate.forums.Forums

    public class Forums

extends java.lang.Object

Forums Model Class

Constructor Summary
`Forums()`

Method Summary
`static java.util.ArrayList<java.lang.Boolean>` | `getDaysWithPosts(JDCConnection oConn, java.lang.String sGuNewsGrp, java.util.Date dtFrom, java.util.Date dtTo)`
`static DBSubset` | `getMessagesForGroup(JDCConnection oConn, java.lang.String sGuNewsGroup, int nMaxMsgs, int nOffset, java.lang.String sOrderBy)`
`static DBSubset` | `getMessagesForThread(JDCConnection oConn, java.lang.String sGuThread)`
`static java.util.ArrayList<Month>` | `getMonthsWithPosts(JDCConnection oConn, java.lang.String sGuNewsGrp)`
`static DBSubset` | `getNewsGroupsList(JDCConnection oConn, int iDomainId, java.lang.String sGuWorkArea, java.lang.Boolean bActive, java.lang.String sOrderBy)` Get all groups of a WorkArea including those that are not active
`static DBSubset` | `getNewsGroupTags(JDCConnection oConn, java.lang.String sGuNewsGroup)` Get list of tags for a NewsGroup
`static DBSubset` | `getTopLevelMessages(JDCConnection oConn, int nMaxMsgs, java.lang.String sGuWorkArea, java.lang.Boolean bActive, java.lang.String sOrderBy)` Get top level messages from all groups of a WorkArea
`static DBSubset` | `getTopLevelMessagesForGroup(JDCConnection oConn, java.lang.String sGuNewsGroup, java.util.Date dtStart, java.util.Date dtEnd, java.lang.String sOrderBy)`
`static DBSubset` | `getTopLevelMessagesForGroup(JDCConnection oConn, java.lang.String sGuNewsGroup, int nMaxMsgs, int nOffset, java.lang.String sOrderBy)`
`static DBSubset` | `getTopLevelMessagesForTag(JDCConnection oConn, java.lang.String sGuNewsGroup, java.lang.String sGuTag, int nMaxMsgs, int nOffset, java.lang.String sOrderBy)`
`static java.lang.String` | `RSSListNewsGroups(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId)` Not implemented
`static java.lang.String` | `XMLListDaysWithPosts(JDCConnection oConn, java.lang.String sGuNewsGrp, java.util.Date dtFrom, java.util.Date dtTo)`
`static java.lang.String` | `XMLListMessagesForGroup(JDCConnection oConn, int nMaxMsgs, int nOffset, java.lang.String sGroupId, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListMessagesForThread(JDCConnection oConn, java.lang.String sGuThread)`
`static java.lang.String` | `XMLListMonthsWithPosts(JDCConnection oConn, java.lang.String sGuNewsGrp, java.lang.String sLanguage)`
`static java.lang.String` | `XMLListNewsGroups(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.Boolean bActiveOnly, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListTags(JDCConnection oConn, java.lang.String sGuNewsGroup)`
`static java.lang.String` | `XMLListTopLevelMessages(JDCConnection oConn, int nMaxMsgs, int iDomainId, java.lang.String sWorkAreaId, java.lang.Boolean bActiveOnly, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListTopLevelMessages(JDCConnection oConn, int nMaxMsgs, int iDomainId, java.lang.String sWorkAreaId, java.lang.Boolean bActiveOnly, java.lang.String sDateTimeFormat, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListTopLevelMessagesForGroup(JDCConnection oConn, java.util.Date dtStart, java.util.Date dtEnd, java.lang.String sGroupId, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListTopLevelMessagesForGroup(JDCConnection oConn, java.util.Date dtStart, java.util.Date dtEnd, java.lang.String sGroupId, java.lang.String sOrderBy, java.lang.String sDateFormat)`
`static java.lang.String` | `XMLListTopLevelMessagesForGroup(JDCConnection oConn, int nMaxMsgs, int nOffset, java.lang.String sGroupId, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListTopLevelMessagesForGroup(JDCConnection oConn, int nMaxMsgs, int nOffset, java.lang.String sGroupId, java.lang.String sOrderBy, java.lang.String sDateFormat)`
`static java.lang.String` | `XMLListTopLevelMessagesForTag(JDCConnection oConn, int nMaxMsgs, int nOffset, java.lang.String sGroupId, java.lang.String sTagId, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLSearchMessages(JDCConnection oConn, java.lang.String sLuceneIndexPath, java.lang.String sWorkArea, java.lang.String sGroup, java.lang.String sSought, int iLimit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Forums

    public Forums()

Method Detail

### RSSListNewsGroups

    public static java.lang.String RSSListNewsGroups(JDCConnection oConn,
                                                     int iDomainId,
                                                     java.lang.String sWorkAreaId)
                                              throws java.sql.SQLException

  Not implemented

  Throws:
    `java.sql.SQLException`

### XMLListNewsGroups

    public static java.lang.String XMLListNewsGroups(JDCConnection oConn,
                                                     int iDomainId,
                                                     java.lang.String sWorkAreaId,
                                                     java.lang.Boolean bActiveOnly,
                                                     java.lang.String sOrderBy)
                                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### XMLListTags

    public static java.lang.String XMLListTags(JDCConnection oConn,
                                               java.lang.String sGuNewsGroup)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### XMLListTopLevelMessages

    public static java.lang.String XMLListTopLevelMessages(JDCConnection oConn,
                                                           int nMaxMsgs,
                                                           int iDomainId,
                                                           java.lang.String sWorkAreaId,
                                                           java.lang.Boolean bActiveOnly,
                                                           java.lang.String sDateTimeFormat,
                                                           java.lang.String sOrderBy)
                                                    throws java.sql.SQLException,
                                                           java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListTopLevelMessages

    public static java.lang.String XMLListTopLevelMessages(JDCConnection oConn,
                                                           int nMaxMsgs,
                                                           int iDomainId,
                                                           java.lang.String sWorkAreaId,
                                                           java.lang.Boolean bActiveOnly,
                                                           java.lang.String sOrderBy)
                                                    throws java.sql.SQLException,
                                                           java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListMessagesForThread

    public static java.lang.String XMLListMessagesForThread(JDCConnection oConn,
                                                            java.lang.String sGuThread)
                                                     throws java.sql.SQLException,
                                                            java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListMessagesForGroup

    public static java.lang.String XMLListMessagesForGroup(JDCConnection oConn,
                                                           int nMaxMsgs,
                                                           int nOffset,
                                                           java.lang.String sGroupId,
                                                           java.lang.String sOrderBy)
                                                    throws java.sql.SQLException,
                                                           java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListTopLevelMessagesForGroup

    public static java.lang.String XMLListTopLevelMessagesForGroup(JDCConnection oConn,
                                                                   java.util.Date dtStart,
                                                                   java.util.Date dtEnd,
                                                                   java.lang.String sGroupId,
                                                                   java.lang.String sOrderBy,
                                                                   java.lang.String sDateFormat)
                                                            throws java.sql.SQLException,
                                                                   java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListTopLevelMessagesForGroup

    public static java.lang.String XMLListTopLevelMessagesForGroup(JDCConnection oConn,
                                                                   java.util.Date dtStart,
                                                                   java.util.Date dtEnd,
                                                                   java.lang.String sGroupId,
                                                                   java.lang.String sOrderBy)
                                                            throws java.sql.SQLException,
                                                                   java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListTopLevelMessagesForGroup

    public static java.lang.String XMLListTopLevelMessagesForGroup(JDCConnection oConn,
                                                                   int nMaxMsgs,
                                                                   int nOffset,
                                                                   java.lang.String sGroupId,
                                                                   java.lang.String sOrderBy,
                                                                   java.lang.String sDateFormat)
                                                            throws java.sql.SQLException,
                                                                   java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListTopLevelMessagesForGroup

    public static java.lang.String XMLListTopLevelMessagesForGroup(JDCConnection oConn,
                                                                   int nMaxMsgs,
                                                                   int nOffset,
                                                                   java.lang.String sGroupId,
                                                                   java.lang.String sOrderBy)
                                                            throws java.sql.SQLException,
                                                                   java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListTopLevelMessagesForTag

    public static java.lang.String XMLListTopLevelMessagesForTag(JDCConnection oConn,
                                                                 int nMaxMsgs,
                                                                 int nOffset,
                                                                 java.lang.String sGroupId,
                                                                 java.lang.String sTagId,
                                                                 java.lang.String sOrderBy)
                                                          throws java.sql.SQLException,
                                                                 java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListMonthsWithPosts

    public static java.lang.String XMLListMonthsWithPosts(JDCConnection oConn,
                                                          java.lang.String sGuNewsGrp,
                                                          java.lang.String sLanguage)
                                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### XMLListDaysWithPosts

    public static java.lang.String XMLListDaysWithPosts(JDCConnection oConn,
                                                        java.lang.String sGuNewsGrp,
                                                        java.util.Date dtFrom,
                                                        java.util.Date dtTo)
                                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### XMLSearchMessages

    public static java.lang.String XMLSearchMessages(JDCConnection oConn,
                                                     java.lang.String sLuceneIndexPath,
                                                     java.lang.String sWorkArea,
                                                     java.lang.String sGroup,
                                                     java.lang.String sSought,
                                                     int iLimit)
                                              throws java.io.IOException,
                                                     ParseException

  Throws:
    `java.io.IOException`
    `ParseException`

### getNewsGroupsList

    public static DBSubset getNewsGroupsList(JDCConnection oConn,
                                             int iDomainId,
                                             java.lang.String sGuWorkArea,
                                             java.lang.Boolean bActive,
                                             java.lang.String sOrderBy)
                                      throws java.sql.SQLException

  Get all groups of a WorkArea including those that are not active

  Parameters:
    `oConn` - Database Connection
    `sOrderBy` - Attribute to sort messages. By default it is dt_published which corresponds to publishing date. Can be also nu_votes to sort messages by number of votes or nm_author to sort by author.
    `sGuWorkArea` - WorkArea GUID
  Returns:
    DBSubset containing the following columns: gu_newsgrp,dt_created,dt_last_update,dt_expire,bo_binaries,de_newsgrp,gu_owner,nm_category,bo_active,nm_icon,nm_icon2,id_doc_status,len_size
  Throws:
    `java.sql.SQLException`
  Since:
    4.0

### getNewsGroupTags

    public static DBSubset getNewsGroupTags(JDCConnection oConn,
                                            java.lang.String sGuNewsGroup)
                                     throws java.sql.SQLException

  Get list of tags for a NewsGroup

  Parameters:
    `oConn` - Database Connection
    `sGuNewsGroup` - NewsGroup GUID
  Returns:
    DBSubset containing the following columns: gu_tag,dt_created,od_tag,tl_tag,nm_tag_ascii,de_tag,nu_msgs,bo_incoming_ping,dt_trackback,url_trackback
  Throws:
    `java.sql.SQLException`
  Since:
    5.0

### getMessagesForThread

    public static DBSubset getMessagesForThread(JDCConnection oConn,
                                                java.lang.String sGuThread)
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMessagesForGroup

    public static DBSubset getMessagesForGroup(JDCConnection oConn,
                                               java.lang.String sGuNewsGroup,
                                               int nMaxMsgs,
                                               int nOffset,
                                               java.lang.String sOrderBy)
                                        throws java.sql.SQLException,
                                               java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### getTopLevelMessagesForGroup

    public static DBSubset getTopLevelMessagesForGroup(JDCConnection oConn,
                                                       java.lang.String sGuNewsGroup,
                                                       int nMaxMsgs,
                                                       int nOffset,
                                                       java.lang.String sOrderBy)
                                                throws java.sql.SQLException,
                                                       java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### getTopLevelMessagesForGroup

    public static DBSubset getTopLevelMessagesForGroup(JDCConnection oConn,
                                                       java.lang.String sGuNewsGroup,
                                                       java.util.Date dtStart,
                                                       java.util.Date dtEnd,
                                                       java.lang.String sOrderBy)
                                                throws java.sql.SQLException,
                                                       java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### getTopLevelMessagesForTag

    public static DBSubset getTopLevelMessagesForTag(JDCConnection oConn,
                                                     java.lang.String sGuNewsGroup,
                                                     java.lang.String sGuTag,
                                                     int nMaxMsgs,
                                                     int nOffset,
                                                     java.lang.String sOrderBy)
                                              throws java.sql.SQLException,
                                                     java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### getTopLevelMessages

    public static DBSubset getTopLevelMessages(JDCConnection oConn,
                                               int nMaxMsgs,
                                               java.lang.String sGuWorkArea,
                                               java.lang.Boolean bActive,
                                               java.lang.String sOrderBy)
                                        throws java.sql.SQLException,
                                               java.lang.IllegalArgumentException

  Get top level messages from all groups of a WorkArea

  Parameters:
    `oConn` - Database Connection
    `nMaxMsgs` - Maximum number of messages to get
    `sOrderBy` - Attribute to sort messages. By default it is dt_published which corresponds to publishing date. Can be also nu_votes to sort messages by number of votes or nm_author to sort by author.
    `sGuWorkArea` - WorkArea GUID
    `sOrderBy` -
  Returns:
    DBSubset containing the following columns: gu_category,gu_msg,gu_product,nm_author,tx_subject,dt_published,tx_email,nu_thread_msgs,gu_thread_msg,nu_votes,tx_permalink,tx_msg
  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException` - If nMaxMsgs<=0

### getDaysWithPosts

    public static java.util.ArrayList<java.lang.Boolean> getDaysWithPosts(JDCConnection oConn,
                                                                          java.lang.String sGuNewsGrp,
                                                                          java.util.Date dtFrom,
                                                                          java.util.Date dtTo)
                                                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMonthsWithPosts

    public static java.util.ArrayList<Month> getMonthsWithPosts(JDCConnection oConn,
                                                                java.lang.String sGuNewsGrp)
                                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD